part of dartscale;

/**
 * Thrown when trying to access a plugin of the [Sandbox] which doesn't exists/is not registered.
 */
class NoSuchPluginError implements Exception {
  
  String message;
  
  NoSuchPluginError(String pluginName) {
    this.message = "No plugin named ${pluginName} found!";
  }
}